#!/bin/bash

source ../cascade-make/lib/cascade-lib.bash GEXT_ECHOPRINT .. $*

CMAKE_LIBRARY_PATH=$GEXTECHOPRINT_INSTALLED
LD_LIBRARY_PATH=$GEXTECHOPRINT_INSTALLED
echo "Using CMAKE_LIBRARY_PATH:";
echo $CMAKE_LIBRARY_PATH;
echo "Using LD_LIBRARY_PATH:";
echo $LD_LIBRARY_PATH;


arg1=$1 && shift

packlist="ZLIB BZIP2"
if [ "x$arg1" != "x" ] ; then

  if [ $arg1 == "client" -o $arg1 == "all" ] ; then
    packlist="$packlist CMAKE BOOST TAGLIB"
  elif [ $arg1 = "server" -o $arg1 = "all" ] ; then
    packlist="$packlist TOKYO-CABINET TOKYO-TYRANT"
  else
    echo "Warning: Unrecognized command '$1'" >&2
  fi

else 
  echo "Usage: ./CASCADE-MADE.sh client|server|all [install|clean|distclean|tarclean]" >&2
fi


for d in $packlist ; do
    echo "    Running CASCADE-MAKE/$d.sh"

    ./CASCADE-MAKE/$d.sh $*

    if [ $? != 0 ] ; then
	echo "Error encountered running CASCADE-MAKE/$d.sh"
	exit 1
    fi
done
